org.apache.struts2.views.velocity.components

## Class HiddenDirective

- java.lang.Object
- - org.apache.velocity.runtime.directive.Directive
  - - org.apache.struts2.views.velocity.components.AbstractDirective
    - - org.apache.struts2.views.velocity.components.HiddenDirective

- All Implemented Interfaces:
    Cloneable, org.apache.velocity.runtime.directive.DirectiveConstants

      public class HiddenDirective
      extends AbstractDirective

  See Also:
    `Hidden`

- - ### Field Summary

    - ### Fields inherited from class org.apache.velocity.runtime.directive.Directive

      `log, rsvc`

    - ### Fields inherited from interface org.apache.velocity.runtime.directive.DirectiveConstants

      `BLOCK, LINE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HiddenDirective()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Component` | `getBean(ValueStack stack, javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)`
    `String` | `getBeanName()`

    - ### Methods inherited from class org.apache.struts2.views.velocity.components.AbstractDirective

      `createPropertyMap, getName, getType, putProperty, render`

    - ### Methods inherited from class org.apache.velocity.runtime.directive.Directive

      `checkArgs, getColumn, getLine, getScopeName, getTemplate, getTemplateName, init, isScopeProvided, makeScope, postRender, preRender, setLocation, setLocation`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HiddenDirective

          public HiddenDirective()

  - ### Method Detail

    - #### getBean

          protected Component getBean(ValueStack stack,
                                      javax.servlet.http.HttpServletRequest req,
                                      javax.servlet.http.HttpServletResponse res)

      Specified by:
        `getBean` in class `AbstractDirective`

    - #### getBeanName

          public String getBeanName()

      Specified by:
        `getBeanName` in class `AbstractDirective`

Copyright © 2000–2022 Apache Software Foundation. All rights reserved.